# Recent Symptoms

Use the `recentSymptoms` to retrieve a list of recently logged symptoms for the user, including details and categories.

### Available Fields

| Field Name | Type       | Description                                      |
| ---------- | ---------- | ------------------------------------------------ |
| `symptom`  | \[Symptom] | [Symptom](/graphql/objects/symptoms/symptom.md). |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query{
  recentSymptoms{
    id
    name
    description
    createdAt
    updatedAt
    categories{
      id
      name
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "recentSymptoms": [
      {
        "id": "U3ltcHRvbToyOTE4OTlkMi02Zjg1LTRhY2YtYTNiMy1iMjM5ZWI0YzI1NjU=",
        "name": "Thirst / dry mouth",
        "description": "Unusually dry mouth or constant thirst",
        "createdAt": "2025-05-21T16:09:18.150559+00:00",
        "updatedAt": "2025-05-21T16:09:18.150579+00:00",
        "categories": [
          {
            "id": "U3ltcHRvbUNhdGVnb3J5OjQ1OGNjZTJkLWJjZDQtNGIyZi1iY2U2LTAxODJkNWRlODA1Ng==",
            "name": "Metabolic"
          }
        ]
      },
      {
        "id": "U3ltcHRvbTozNGNlYjBkZC05ZTg4LTQ0OWYtODcwNC05ZjJlMmU2MGRiNDE=",
        "name": "Bloating",
        "description": "Swollen or gassy feeling in the abdomen",
        "createdAt": "2025-05-21T16:09:12.822562+00:00",
        "updatedAt": "2025-06-18T21:56:05.790022+00:00",
        "categories": [
          {
            "id": "U3ltcHRvbUNhdGVnb3J5OjBiZDUzNTg5LWVjMDYtNGU0Ni1hMjQzLTc3MTQ1OTU0NjZmNA==",
            "name": "Gastrointestinal"
          },
          {
            "id": "U3ltcHRvbUNhdGVnb3J5OjY3NWJmNTEyLWQyZmEtNGZhYi04ZWQwLTAxNWE2ODQ3ZWQ4MA==",
            "name": "Most Common"
          }
        ]
      },
      {
        "id": "U3ltcHRvbTphMjRkMzA3Yy1jMmQ1LTQ2NWMtOTE4Ni0zNDQwZWI2MTM2MDA=",
        "name": "Increased heart rate",
        "description": "Faster than normal resting heart rate",
        "createdAt": "2025-05-21T16:09:16.247805+00:00",
        "updatedAt": "2025-05-21T16:09:16.247826+00:00",
        "categories": [
          {
            "id": "U3ltcHRvbUNhdGVnb3J5OmE2ODM3YzA0LTYzZDItNDZlNy04YTVjLWVhMGUxZTljNGYyNw==",
            "name": "Cardiovascular"
          }
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/tracking/symptoms/recent-symptoms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
